apiVersion: apps/v1beta1
kind: Deployment
metadata:
  name: NAME_PLACEHOLDER
  labels:
    app: NAME_PLACEHOLDER
spec:
  replicas: 1
  template:
    metadata:
      labels:
        app: NAME_PLACEHOLDER
    spec:
      securityContext:
        fsGroup: 2000 
      containers:
        - name: cordite
          image: cordite/network-map:latest
          env:
            - name: NMS_PORT
              value: "8080"
            - name: NMS_DB
              value: "/opt/cordite/db"
            - name: NMS_AUTH_USERNAME
              value: "admin"
            - name: NMS_AUTH_PASSWORD
              value: "Z5QD62jZKSwaBEr7"
            - name: NMS_CACHE_TIMEOUT
              value: "6S"
            - name: NMS_NETWORKMAP_DELAY
              value: "10S"            
            - name: NMS_CERTMAN
              value: "false"
            - name: NMS_ROOT_CA_NAME
              value: "CN=NAME_PLACEHOLDER, OU=Cordite Foundation Network, O=Cordite Foundation, L=London, ST=London, C=GB"
            - name: NMS_DOORMAN
              value: "false"      
            - name: NMS_TLS
              value: "true"      
          ports:
            - containerPort: 8080
          volumeMounts:
            - name: storage
              mountPath: "/opt/cordite/db/"
              subPath: db/
      volumes:
        - name: storage
          persistentVolumeClaim:
            claimName: NAME_PLACEHOLDER

